import { Center, VStack, Box, Text, HStack, ScrollView } from "native-base";
import { Note } from "../../types/note";
import NoteView from "./NoteView";

const NotesListView = (props: { notes: Note[], handleReply : any, handleDelete : any, handleEdit : any, setConfirmDialog: any, navigation: any}) => {
    const notes = props.notes;
    return (
        <ScrollView>
            {
                notes && notes.length > 0 ? (
                    <VStack>
                        {notes.map((note, index) => (
                            <NoteView key={index} note={note} handleReply={props.handleReply} handleDelete={props.handleDelete} handleEdit={props.handleEdit} setConfirmDialog={props.setConfirmDialog} navigation={props.navigation}/>
                        ))}
                    </VStack>
                ) : (
                    <Text>There are no notes.</Text>
                )
            }
        </ScrollView>
    );
}

export default NotesListView